C+
C NAME:
C	ArrI4Copy2
C PURPOSE:
C	Copy two integer*4 arrays of same size
C CALLING SEQUENCE:
	subroutine ArrI4Copy2(N,A1,A2,C1,C2)
C CALLS:
C	BadI4
C SEE ALSO:
C	Array_Info
C-
	    integer	N
	    integer	A1(*)
	    integer	A2(*)
	    integer	C1(*)
	    integer	C2(*)

	integer		BadI4

	ibad = BadI4()

	iA = loc(A1)
	iC = loc(C1)
	if (iA .ne. iC) then			! Source .ne. Destination
	    call ArrayLoc2(iA,iC,abs(N),4,I1,I2,I3)! Set direction of DO-loop
	    do I=I1,I2,I3
		if (N .gt. 0 .or. A1(I) .ne. ibad) C1(I) = A1(I)
	    end do
	end if

	iA = loc(A2)
	iC = loc(C2)
	if (iA .ne. iC) then			! Source .ne. Destination
	    call ArrayLoc2(iA,iC,abs(N),4,I1,I2,I3)! Set direction of DO-loop
	    do I=I1,I2,I3
		if (N .gt. 0 .or. A2(I) .ne. ibad) C2(I) = A2(I)
	    end do
	end if

	return
	end
